.category {
    display: flex;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
    width: 50%;
    flex-direction: column;
    text-align: center;
    margin: 2rem 8% 2rem 0 !important;
}

.add-category {
    display: flex;
    padding: 20px;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.form-group {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
}

.add-cat-btn {
    background-color: var(--green-Color);
    color: var(--second-white);
    padding: .5rem 4rem;
    border: none;
    cursor: pointer;
    border-radius: 25px;
}

.form-group input#name {
    width: 18rem;
    height: 2rem;
    padding: 0 0 0 15px;
    border-radius: 25px;
    font-size: 20px;
}

.exists-category {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    margin: 2rem 0 0 0;
}

.exists-category ol {
    counter-reset: item;
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.exists-category li {
    counter-increment: item;
    margin-bottom: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0.4rem;
}

.exists-category ol li {
    counter-increment: item;
    margin-bottom: 10px;
}

.exists-category ol li::before {
    content: counter(item) ". ";
    font-weight: bold;
}

.Delete-form button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
    border-radius: 25px;
    border: 2px solid #ff0000;
    padding: .3rem 1rem;
    color: #ff0000;
}

.Delete-form button:hover {
    background-color: #ff0000;
    color: var(--second-white);
    transform: translateY(-5px);
    transition: all .5s ease;
}

.exists-category hr {
    color: black;
    width: -webkit-fill-available;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
    padding-top: 60px;
}

.modal-content {
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    text-align: center;
    border-radius: 12px;
}

.modal-content h2 {
    margin: 0 0 1rem 0;
    font-size: 1.3rem;
}

.close-button {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-button:hover,
.close-button:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.confirm-delete {
    background-color: red;
    color: white;
    padding: .7rem 3rem;
    margin: 10px;
    border: none;
    cursor: pointer;
    border-radius: 25px;
}

.cancel-delete {
    background-color: gray;
    color: white;
    padding: .7rem 3rem;
    margin: 10px;
    border: none;
    cursor: pointer;
    border-radius: 25px;
}

.categories-img img {
    margin-bottom: 20px;
    width: auto;
    height: 55px;
}

.categories-img {
    text-align: center;
    padding: 2rem;
    /* box-shadow: var(--shadow); */
    /* border: 1px solid black; */
    width: 140px;
    height: 140px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease-in-out;
}